Skip to main content
GET
/
v1
/
entities
/
{entity_id}
/
market_data
Get Market Data (Beta)
curl --request GET \
  --url https://api.prime.coinbase.com/v1/entities/{entity_id}/market_data
{
  "market_data": [
    {
      "symbol": "BTC",
      "vol_5d": "0.65",
      "vol_30d": "0.65",
      "vol_90d": "0.65",
      "adv_30d": "1234567.89",
      "weighted_vol": "0.0345"
    }
  ],
  "pagination": {
    "next_cursor": "<string>",
    "sort_direction": "DESC",
    "has_next": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt

Use this file to discover all available pages before exploring further.

Supported Products

  • Portfolio Margin
  • Exchange Cross Margin
  • Prime Cross Margin
Note: This endpoint will only display values for parameters relevant to the specified entity.

Path Parameters

entity_id
string
required

Prime Entity ID

Query Parameters

cursor
string

Cursor for pagination

limit
integer<int32>

Number of results to return per page

sort_direction
enum<string>
default:DESC

Sort direction for results

Available options:
DESC,
ASC

Response

200 - application/json

A successful response.

market_data
MarketData contains volatility and ADV data for a single product · object[]

List of market data entries

pagination
object